/*
|---------------------------------------------------------------
| 医薬品ご購入の流れと注意事項
|---------------------------------------------------------------
*/
.medicine_guide {
  --jd-primary-color: #F08D45;
  display: block;
  width: 100%;
  font-family: "Noto Sans JP", var(--qfsd-font-family-base);
}
.medicine_guide__header {
  --jd-border-color: #D4D4D4;
  display: block;
  width: 100%;
  padding: 0;
  border-width: 1px 0;
  border-style: solid;
  border-color: var(--jd-border-color);
}
@media (max-width: 750px) {
  .medicine_guide__header {
    --qfsd-container-padding: 0px;
  }
}
@media (min-width: 750.02px) {
  .medicine_guide__header {
    --jd-border-color: #DDDDDD;
    padding: 20px 0;
  }
}

/*
 * Nav
------------------------------------------------*/
.medicine_guide-nav {
  display: block;
  width: 100%;
  overflow: hidden;
}
.medicine_guide-nav__list {
  list-style: none;
  padding: 0;
  margin: 0 0 0 -1px;
  width: auto;
  display: flex;
  justify-content: center;
}
.medicine_guide-nav__list__item {
  display: flex;
  width: 100%;
  flex-grow: 1;
  flex-basis: 0;
  border-left: 1px solid var(--jd-border-color);
}
@media (min-width: 750.02px) {
  .medicine_guide-nav {
    max-width: 890px;
    margin: 0 auto;
  }
  .medicine_guide-nav__list {
    border-width: 0 1px;
    border-style: solid;
    border-color: var(--jd-border-color);
  }
}

.medicine_guide-nav-link {
  display: block;
  width: 100%;
  padding: 2em 0.25em 1em;
  color: inherit !important;
  text-decoration: none !important;
  font-size: 14px;
  font-weight: 300;
  text-align: center;
}
.medicine_guide-nav-link::after {
  content: "";
  display: block;
  width: 1.29em;
  height: 1.29em;
  margin: 1em auto 0;
  background-image: url("data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iMTgiIGhlaWdodD0iMTgiIHZpZXdCb3g9IjAgMCAxOCAxOCIgZmlsbD0ibm9uZSIgeG1sbnM9Imh0dHA6Ly93d3cudzMub3JnLzIwMDAvc3ZnIj4KPGNpcmNsZSBjeD0iOSIgY3k9IjkiIHI9IjkiIGZpbGw9IiNGMDhENDUiLz4KPHBhdGggZD0iTTguNTUxMzQgMTEuMzU0NkM4Ljc5OTUxIDExLjYwMjcgOS4yMDI1MiAxMS42MDI3IDkuNDUwNjggMTEuMzU0NkwxMi42MjcyIDguMTc4MTFDMTIuODc1MyA3LjkyOTk1IDEyLjg3NTMgNy41MjY5MyAxMi42MjcyIDcuMjc4NzdDMTIuMzc5IDcuMDMwNjEgMTEuOTc2IDcuMDMwNjEgMTEuNzI3OCA3LjI3ODc3TDkuMDAwMDIgMTAuMDA2Nkw2LjI3MjIzIDcuMjgwNzZDNi4wMjQwNyA3LjAzMjYgNS42MjEwNSA3LjAzMjYgNS4zNzI4OSA3LjI4MDc2QzUuMTI0NzMgNy41Mjg5MiA1LjEyNDczIDcuOTMxOTMgNS4zNzI4OSA4LjE4MDFMOC41NDkzNiAxMS4zNTY2TDguNTUxMzQgMTEuMzU0NloiIGZpbGw9IndoaXRlIi8+Cjwvc3ZnPgoKCg==");
  background-repeat: no-repeat;
  background-size: contain;
  background-position: center;
}

@media (min-width: 750.02px) {
  .medicine_guide-nav-link {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 0.25em 0.5em;
    font-size: 18px;
    /* font-family: "Noto Serif JP", serif; */
  }
  .medicine_guide-nav-link::after {
    margin: 0 0 0 1em;
  }
}

/*
 * Section
------------------------------------------------*/
.medicine_guide-section {
  display: block;
  width: 100%;
  padding: clamp(25px, 6.67vw, 50px) 0;
  font-size: clamp(18px, 4.8vw, 20px);
}
@media (min-width: 750.02px) {
  .medicine_guide-section {
    padding: clamp(50px, 13.33vw, 75px) 0;
  }
}
.medicine_guide-section-title {
  display: block;
  margin: 0 0 1.5em;
  padding: 0;
  font-size: clamp(20px, 5.33vw, 35px);
  font-weight: 500;
  text-align: center;
}

/*
 * ご注文の流れ
------------------------------------------------*/
.mg-process-title {
  font-weight: 500;
}
@media (min-width: 750.02px) {
  .mg-process-title {
    font-weight: bold;
  }
}

.mg-process-process {
  container-type: inline-size;
  width: 100%;
  max-width: calc(1056px + 33px * 2);
  margin: 0 auto;
  padding: 0 33px;
}
.mg-process-process__list {
  list-style: none;
  padding: 0;
  margin: 0;
}
.mg-process-process__list__item {
  display: block;
  width: 100%;
  margin: 0;
}
.mg-process-process__list__item:nth-child(3),
.mg-process-process__list__item:nth-child(6) {
  --jd-process-step-color: #FFFFFF;
  --jd-process-step-bgcolor: #251D8F;
}
@media (max-width: 750px) {
  .mg-process-process:not(.swiper-initialized) .mg-process-process__list {
    display: grid;
    gap: 30px;
  }
}
@media (min-width: 750.02px) {
  .mg-process-process__list {
    /* --jd-process-gap: clamp(60px, 8vw, 110px); */
    --jd-process-gap: 110px;
    display: grid;
    grid-template-columns: repeat(2, minmax(0, 1fr));
    gap: var(--jd-process-gap);
  }
  .mg-process-process__list__item {
    display: grid;
    grid-template-rows: subgrid;
    grid-row: span 3;
    gap: 0;
    position: relative;
  }
  .mg-process-process__list__item::before,
  .mg-process-process__list__item::after {
    content: "";
    width: 1.5em;
    height: 1.5em;
    border-color: var(--jd-primary-color);
    border-width: 0 4px 4px 0;
    border-style: solid;
    position: absolute;
    z-index: 2;
    margin: auto;
    pointer-events: none;
  }
  .mg-process-process__list__item::before {
    --jd-transform: rotate(-45deg) translateX(50%) skew(-5deg, -5deg);
    transform: var(--jd-transform);
    top: 0;
    left: auto;
    right: calc(100% + var(--jd-process-gap) / 2);
    bottom: 0;
  }
  .mg-process-process__list__item::after {
    transform: translateY(-75%) rotate(45deg) skew(-5deg, -5deg);
    top: calc(100% + var(--jd-process-gap) / 2);
    left: 0;
    right: 0;
    bottom: auto;
    visibility: hidden;
  }
}
@media (min-width: 750.02px) {
  @container (max-width: 920px) {
    .mg-process-process__list__item:nth-child(1) {
      order: -6;
    }
    .mg-process-process__list__item:nth-child(2) {
      order: -5;
    }
    .mg-process-process__list__item:nth-child(3) {
      order: -3;
    }
    .mg-process-process__list__item:nth-child(4) {
      order: -4;
    }
    .mg-process-process__list__item:nth-child(5) {
      order: -2;
    }
    .mg-process-process__list__item:nth-child(6) {
      order: -1;
    }
    .mg-process-process__list__item:nth-child(2)::after,
    .mg-process-process__list__item:nth-child(4)::after {
      visibility: visible;
    }
    .mg-process-process__list__item:nth-child(3)::before {
      transform:  translateX(100%) scale(-1, 1) var(--jd-transform);
    }
  }
  @container (min-width: 920.02px) {
    .mg-process-process__list {
      grid-template-columns: repeat(3, minmax(0, 1fr));
    }
    .mg-process-process__list__item:nth-child(1) {
      order: -6;
    }
    .mg-process-process__list__item:nth-child(2) {
      order: -5;
    }
    .mg-process-process__list__item:nth-child(3) {
      order: -4;
    }
    .mg-process-process__list__item:nth-child(4) {
      order: -1;
    }
    .mg-process-process__list__item:nth-child(5) {
      order: -2;
    }
    .mg-process-process__list__item:nth-child(6) {
      order: -3;
    }
    .mg-process-process__list__item:nth-child(3):not(:last-child)::after,
    .mg-process-process__list__item:nth-child(6):not(:last-child)::after {
      visibility: visible;
    }
    .mg-process-process__list__item:nth-child(4)::before,
    .mg-process-process__list__item:nth-child(5)::before,
    .mg-process-process__list__item:nth-child(6)::before {
      transform:  translateX(100%) scale(-1, 1) var(--jd-transform);
    }
  }
}

/* Swiper */
.mg-process-process {
  --swiper-theme-color: var(--jd-primary-color);
  --swiper-pagination-bullet-horizontal-gap: 7px;
  --swiper-pagination-bullet-size: 16px;
  --swiper-pagination-bullet-inactive-color: #D9D9D9;
  --swiper-pagination-bullet-inactive-opacity: 1;
}
.mg-process-process.swiper-initialized .swiper-wrapper {
  align-items: stretch;
}
.mg-process-process.swiper-initialized .swiper-slide {
  height: auto;
}
.mg-process-process .swiper-pagination {
  display: block;
  position: static;
  margin: 50px 0;
}
.mg-process-process:not(.swiper-initialized) .swiper-pagination {
  visibility: hidden;
  pointer-events: none;
}

.mg-process-step {
  --jd-process-step-size: 4.875em;
  gap: 0;
  display: flex;
  flex-direction: column;
  width: 100%;
  height: 100%;
  border-radius: 1em;
  overflow: hidden;
  color: var(--jd-process-color, var(--qfsd-color-foreground));
  background-color: var(--jd-process-bgcolor, var(--qfsd-color-background));
  font-size: 16px;
  font-weight: 400;
  box-shadow: 5px 5px 1px 0 rgba(0, 0, 0, 0.25);
}
.mg-process-step__head {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  width: 100%;
  padding: 1.25em calc(var(--jd-process-step-size) * 0.75) 0.25em;
  position: relative;
}
.mg-process-step__image {
  width: 100%;
  height: auto;
  min-height: 13.625em;
  flex-grow: 1;
  flex-basis: 0;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}
.mg-process-step__body {
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 0.25em 1.5em;
  font-size: 1em;
  font-feature-settings: 'palt' 1;
}
@media (min-width: 750.02px) {
  .mg-process-step {
    display: grid;
    grid-template-rows: subgrid;
    grid-row: span 3;
  }
}

.mg-process-step-step {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  width: var(--jd-process-step-size);
  height: var(--jd-process-step-size);
  padding: 0.5em 0.5em;
  font-size: 1em;
  line-height: 1.25;
  white-space: nowrap;
  color: var(--jd-process-step-color, #FFFFFF);
  background-color: var(--jd-process-step-bgcolor, var(--jd-primary-color));
  clip-path: polygon(0% 0%, 100% 0%, 0% 100%);
}
.mg-process-step-step__value {
  display: block;
  font-size: 1.125em;
  font-style: normal;
  font-weight: bold;
  text-align: center;
}
.mg-process-step-step__value::before {
  content: "STEP";
  display: block;
  font-size: 0.8125em;
}
.mg-process-step__head .mg-process-step-step {
  position: absolute;
  top: 0;
  left: 0;
  z-index: 1;
  margin: auto;
}

.mg-process-step-title {
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: baseline;
  flex-wrap: wrap;
  font-size: 1.125em;
  font-weight: 500;
  text-align: center;
}
.mg-process-step-title span {
  display: block;
}

.mg-process-step-image {
  display: block;
  width: 100%;
  height: var(--jd-process-step-image-height, 9.4375em);
  margin: 0;
  padding: 0;
}
.mg-process-step-image img {
  display: block;
  width: 100%;
  height: 100%;
  object-fit: contain;
  pointer-events: none;
}

/*
 * 第１類医薬品ご購入時の注意点
------------------------------------------------*/
.mg-attention-title {
  display: flex;
  flex-direction: column;
  align-items: center;
}
.mg-attention-title span {
  display: block;
  padding: 0.25em;
  border-bottom: 1px solid currentColor;
}

.mg-attention__body {
  font-size: clamp(18px, 4.8vw, 20px);
}
.mg-attention-list {
  line-height: 1.5;
}
.mg-attention-list li {
  margin-bottom: 1.25em;
}
@media (min-width: 750.02px) {
  .mg-attention-list li {
    margin-bottom: 0;
  }
}

/*
 * お問い合わせ
------------------------------------------------*/
.mg-contact {
  padding-left: 20px;
  padding-right: 20px;
}
@media (min-width: 750.02px) {
  .mg-contact {
    padding-left: 0;
    padding-right: 0;
    text-align: center;
  }
}
.mg-contact__nav {
  width: 100%;
  margin-top: clamp(40px, 10.67vw, 80px);
}
.mg-contact-btn {
  display: block;
  width: 24em;
  max-width: 100%;
  margin: 0 auto;
  padding: 0.6em 0.5em;
  color: #ffffff !important;
  background: #000000 !important;
  text-decoration: none !important;
  font-size: clamp(20px, 5.33vw, 26px);
  font-weight: 500;
  text-align: center;
}
